<?php

namespace Drupal\syncloud\Hook;

/**
 * Hook Cron - send Emails.
 */
class Cron {

  /**
   * Hook.
   */
  public static function hook() {
    $config =  \Drupal::configFactory()->get('syncloud.settings');
    $syncloud_weekly = \Drupal::state()->get('syncloud.weekly');
    $time = strtotime('now');
    if ($config->get('weekly') && $time - $syncloud_weekly > 604800) {
      $uuid = \Drupal::state()->get('syncloud.uuid');
      $secret = \Drupal::state()->get('syncloud.secret');
      $msg = [
        'site' => $uuid,
        'secret' => $secret,
        'syncloud' => \Drupal::service('update.update_hook_registry')->getInstalledVersion('syncloud'),
        'drupal' => \Drupal::VERSION,
        'php' => phpversion(),
      ];
      \Drupal::service('syncloud.mqtt')->run()->publish("stat/$uuid/state/usage", json_encode($msg));
      \Drupal::state()->set('syncloud.weekly', $time);
    }
  }

}
