<?php

namespace Drupal\syncloud\Hook;

/**
 * @file
 * Contains \Drupal\syncloud\Hook\OrderPresave.
 */

/**
 * Hook order Presave.
 */
class OrderPresave {

  /**
   * Hook.
   */
  public static function hook($entity) {
    $profile = $entity->billing_profile->entity;
    $path = \Drupal::service('path.current')->getPath();
    if ($profile && !empty($profile->field_customer_email->value) && strpos($path, 'order_information')) {
      $syn_storage = \Drupal::entityTypeManager()->getStorage('syn');
      $ip = \Drupal::request()->getClientIp();
      $syn_array = [
        'name' => $ip . '--commerce_order',
        'ip' => $ip,
        'host' => \Drupal::request()->getHost(),
        'scheme' => \Drupal::request()->getScheme(),
        'type' => $profile->getEntityType()->id(),
        'message' => $profile->id(),
        'city' => [],
        'url' => \Drupal::request()->getSchemeAndHttpHost() . \Drupal::service('path_alias.manager')->getAliasByPath($path),
      ];
      $syn = $syn_storage->create($syn_array);
      $syn_storage->save($syn);
      \Drupal::service('syncloud.queue')->queuePush($profile->id(), $syn->id());
      \Drupal::service('syncloud.queue')->guzzlePushQueue();
    }
  }

}
